Update a JSON credentials configuration
Roles
Analytics Events
/v2/credentials/web-semantic/configurations/{id}Updates an existing JSON credentials configuration by providing its ID.
Analytic events
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_START
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
JSON credentials configuration unique identifier
uuidRequest Body
application/json
Update a credential configuration
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/web-semantic/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "type": "string", "additionalTypes": [ "string" ], "contexts": [ "string" ], "issuer": { "name": "string", "logoUrl": "string", "iconUrl": "string" }, "proofType": "Ed25519Signature2018", "credentialBranding": { "backgroundColor": "string", "watermarkImageUrl": "string" }, "claimMappings": { "property1": { "mapFrom": "string", "required": true, "defaultValue": "string" }, "property2": { "mapFrom": "string", "required": true, "defaultValue": "string" } }, "persist": false, "revocable": true, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 }}How would you rate this page?
Retrieve a JSON credentials configuration GET
Retrieve a JSON credentials configuration by providing its ID. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_START * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_FAIL
Delete a JSON credentials configuration DELETE
Deletes an existing JSON credentials configuration by providing its ID. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_START * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_FAIL